native Garmin-USB no longer working

Bug #114565 reported by mcmuller
52
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gpsbabel (Fedora)
Won't Fix
Medium
gpsbabel (Ubuntu)
Undecided
Unassigned
module-init-tools (Ubuntu)
Medium
Unassigned
qlandkarte (Ubuntu)
Undecided
Unassigned

Bug Description

I have a problem connecting my Garmin GPSmap76CSx via usb: to gpsbabel.
As it worked before I switched to Ubuntu Edgy and, yes, I sorted out
Problems with kernel-driver&permissions, I blame either Kernel 2.6.20 or
libusb for that.
gpsbabel-mailinglist suggests the kernel config CONFIG_USB_SUSPEND=y could be the problem...

Here is my last output and a uname :
------snip------
gregor@kirk:~/gpsbabel-1.3.3$ gpsbabel -D9 -i garmin -f usb: -o gpx -F test.gpx
GPSBabel Version: 1.3.3
TX [12]:00 00 00 00 05 00 00 00 00 00 00 00 ............(SESREQ )
TX [12]:00 00 00 00 05 00 00 00 00 00 00 00 ............(SESREQ )
TX [12]:00 00 00 00 05 00 00 00 00 00 00 00 ............(SESREQ )
RX (intr) [16]:00 00 00 00 06 00 00 00 04 00 00 00 de c2 10 c5
................(ACK )
TX [12]:14 00 00 00 fe 00 00 00 00 00 00 00 ............(PRDREQ )
RX (intr) [16]:00 00 00 00 06 00 00 00 04 00 00 00 de c2 10 c5
................(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
RX (intr) [-110]:(ACK )
Could not start session in a reasonable number of tries.
------snip-----
Linux kirk 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686
GNU/Linux
------snip-----

Greetings
Gregor

Revision history for this message
Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Could you please add the full output of 'lsusb' when the device is connected and the full output of 'dmesg' after trying to connect to the device with gpsbabel? It would also be helpful if you could test with the development release of Ubuntu, the Gutsy Gibbon, which you can learn more about at http://www.ubuntu.com/testing/ . Thanks in advance.

Changed in gpsbabel:
assignee: nobody → brian-murray
status: New → Incomplete
Revision history for this message
Frédéric Bonifas (fredericbonifas) wrote :

I have the same problem with my Garmin vista cx and I still have the problem with Gutsy.

fred@portfred:~$ gpsbabel -D9 -i garmin -f usb: -o gpx -F test.gpx
GPSBabel Version: 1.3.3
usb_set_configuration failed, probably because kernel driver 'garmin_gps'
 is blocking our access to the USB device.
For more information see http://www.gpsbabel.org/os/Linux_Hotplug.html

fred@portfred:~$ lsusb
Bus 005 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 004 Device 003: ID 091e:0003 Garmin International GPSmap (various models)
Bus 004 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

The result of dmesg is too long and I can't read it all in the terminal so I don't think it's useful.

Thanks

Changed in gpsbabel:
assignee: brian-murray → nobody
importance: Undecided → Medium
status: Incomplete → Triaged
Revision history for this message
Luka Renko (lure) wrote :

I can confirm this problem on gutsy: garmin_gps claims device and make USB device not usable.

related dmesg output:
[12128.336000] usbcore: registered new interface driver usbserial
[12128.340000] /build/buildd/linux-source-2.6.22-2.6.22/drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
[12128.340000] usbcore: registered new interface driver usbserial_generic
[12128.340000] /build/buildd/linux-source-2.6.22-2.6.22/drivers/usb/serial/usb-serial.c: USB Serial Driver core
[12128.348000] /build/buildd/linux-source-2.6.22-2.6.22/drivers/usb/serial/usb-serial.c: USB Serial support registered for Garmin GPS usb/tty
[12128.348000] garmin_gps 2-1:1.0: Garmin GPS usb/tty converter detected
[12128.348000] usb 2-1: Garmin GPS usb/tty converter now attached to ttyUSB0
[12128.348000] usbcore: registered new interface driver garmin_gps
[12128.348000] /build/buildd/linux-source-2.6.22-2.6.22/drivers/usb/serial/garmin_gps.c: garmin gps driver v0.28

Since most of newer GPS devices are USB and latest SW releases (gpsbabel, QLandkarte) supports USB devices directly (through USB device instead of tty), we should blacklist garmin_gps module by default. This should be done by changing /etc/modprobe.d/blacklist.
There are many websites/blogs documenting this issue (you can find them via google).

It would be also great if we could have proper udev rules to create device files with proper permissions (0660 and group set to plugdev) in order to work out of box.

Revision history for this message
Luka Renko (lure) wrote :

Some more background info:
http://www.gpsbabel.org/os/Linux_Hotplug.html

I have fixed permissions by adding /etc/udev/rules.d/45-garmin.rules file:
SUBSYSTEM!="usb_device", GOTO="garmin_rules_end"
ACTION!="add", GOTO="garmin_rules_end"

ATTRS{idVendor}=="091e", ATTRS{idProduct}=="0003", MODE="0660", GROUP="plugdev"

LABEL="garmin_rules_end"

The only problem is that I do not know what would be the best package to install this file.

Revision history for this message
Luka Renko (lure) wrote :

I have prepared debdiff to current module-init-tools package in Hardy. I would like some core-dev to review this and consider for inclusion. It would improve out-of-box experience for newer Garmin GPS users (USB connection is defaultt on Garmin handhelds for last couple of years).

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote :

Update:

For Hardy the udev rule is:

Create /etc/udev/rules.d/45-garmin.rules file:
SUBSYSTEM!="usb", GOTO="garmin_rules_end"
ACTION!="add", GOTO="garmin_rules_end"
ATTRS{idVendor}=="091e", ATTRS{idProduct}=="0003", MODE="0660", GROUP="plugdev"
LABEL="garmin_rules_end"

I'd suggest to put this file in its own package and let QLandkarte, etc. depend on it.

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote :

It's fixed in module-init-tools but udev problem is still remaining. So setting to affects no specific package.

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote :

Being informed by Emmet Hikory that it is better to put the rule into module-init-tools I'm changing the affected packages back to module-init-tools. Sorry for the traffic.

Revision history for this message
Scott James Remnant (Canonical) (canonical-scott) wrote :

The rule as suggested is completely invalid.

The "plugdev" group has been removed, and should not be used. Instead HAL, PolicyKit and ConsoleKit should be used to apply an ACL to the device.

Changed in module-init-tools:
status: Triaged → Invalid
Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote : Re: [Bug 114565] Re: native Garmin-USB no longer working

Scott,

while the suggested solution might be invalid, the bugs still exists.
Could you assign the right package and reopen the bug there?

 subscribe <email address hidden>

Revision history for this message
Scott James Remnant (Canonical) (canonical-scott) wrote :

The right package is whatever package uses the Garmin USB; I know of no such package in main

Revision history for this message
mcmuller (gregor-emtea) wrote :

Scott, Hanno, and all others,...

after not looking into that problem since I installed Hardy from scratch, I know did some testing with gpsbabel and qlandkarte. For me, it works now out of the box (the garmin_gps is blacklisted with reference to this bug).
As a reminder: I still use a GPX 76CSx

Greetings,
gregor

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote :

mcmuller schrieb:
> Scott, Hanno, and all others,...
>
> after not looking into that problem since I installed Hardy from scratch, I know did some testing with gpsbabel and qlandkarte. For me, it works now out of the box (the garmin_gps is blacklisted with reference to this bug).
> As a reminder: I still use a GPX 76CSx

hanno@intrepid-devil:~$ gpsbabel -t -i garmin -f usb:
usb_set_configuration failed, probably because kernel driver ''
 is blocking our access to the USB device.
For more information see http://www.gpsbabel.org/os/Linux_Hotplug.html

This is on a freshly installed alpha2 system. Using a GPS 60.
Running the command as root does work.

Also accessing the device with QLandkarte does not work for me.

'lsmod | grep garmin' shows nothing

Gregor, did you run the programs as an ordinary user?

 affects ubuntu/gpsbabel
 affects ubuntu/qlandkarte

Revision history for this message
mcmuller (gregor-emtea) wrote :

Hanno,

I just checked my logs:

so, on powerup /var/log/mesages just
----snip----
Jul 14 14:13:54 kirk kernel: [11685.185409] usb 3-1: new full speed USB device using uhci_hcd and address 4
Jul 14 14:13:55 kirk kernel: [11685.325903] usb 3-1: configuration #1 chosen from 1 choice
----snip----

and because of the default 'blacklist garmin_gps' in /etc/modprobe.d/blacklist your lsmod should show no drivers, that is a correct behaviour. gpsbabel and qlandkarte use native usb: to connect to the device.

and yes, I ran the programs (qlandkarte&gpsbabel) as ordinary user who is member of the following groups:

---snip---
gregor@kirk:~/bin$ groups
gregor adm dialout cdrom floppy tape audio dip video plugdev scanner fuse lpadmin admin
---snip---

as mentioned above this all is true for a full patched hardy

---snip
gregor@kirk:~/bin$ uname -a
Linux kirk 2.6.24-19-generic #1 SMP Wed Jun 18 14:43:41 UTC 2008 i686 GNU/Linux
---snip

Perhaps, your problems are 'post-hardy' only ??

Greetings,
Gregor

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote : Re: [Bug 114565] native Garmin-USB no longer working

mcmuller schrieb:
> Perhaps, your problems are 'post-hardy' only ??

I do have the problem on Hardy, too. I just tested on Intrepid to make
sure that it is not fixed there.

The udev rule mentioned above fixes the problem. Could you give the
output of 'ls -l /dev/bus/usb/BUSNR/DEVNR' where BUSNR and DEVNR are the
numbers from 'lsusb'.

In my case (without udev rule):

lsusb
-----
Bus 002 Device 008: ID 091e:0003 Garmin International GPSmap (various
models)
-----

ls -l /dev/bus/usb/002/008
-----
crw-rw-r-- 1 root root 189, 135 2008-07-14 17:03 /dev/bus/usb/002/008
-----

If I use the udev rule, the group of the device entry is changed (as
expected) to plugdev.

Revision history for this message
mcmuller (gregor-emtea) wrote :

Hanno,
on my machine exists a udev rule for garmin that must been created by the system (or qlandkarte-deb?) (or gpsbabel-deb?):
---
gregor@kirk:~$ cat /etc/udev/rules.d/51-garmin.rules
SYSFS{idVendor}=="091e", SYSFS{idProduct}=="0003", MODE="666"
gregor@kirk:~$
---
so that's why i get:

---
gregor@kirk:~$ lsusb
Bus 003 Device 005: ID 091e:0003 Garmin International GPSmap (various models)
---
gregor@kirk:~$ ls -l /dev/bus/usb/003/005
crw-rw-rw- 1 root root 189, 260 2008-07-14 16:30 /dev/bus/usb/003/005
----

Revision history for this message
Primal-id (primal-id) wrote :

If I run this command as root I get the following error (Intrepid 8.10 laptop HP dv6747nr 2.6.27-7-generic)

id@id-LaptopUbuntu:/usr/bin$ sudo gpsbabel -i garmin -f usb: -o gpx -F blah.gpx
usb_set_configuration failed, probably because kernel driver 'usb-storage'
 is blocking our access to the USB device.
****************
This is in my black list:
# most apps now use garmin usb driver directly (Ubuntu: #114565)
blacklist garmin_gps
**************
lsusb:
Bus 004 Device 002: ID 064e:a110 Suyin Corp.
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 091e:22e1 Garmin International
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
*************************
/etc/udev/rules.d/45-garmin.rules
SUBSYSTEM!="usb", GOTO="garmin_rules_end"
ACTION!="add", GOTO="garmin_rules_end"
ATTRS{idVendor}=="091e", ATTRS{idProduct}=="0003", MODE="0660", GROUP="plugdev"
LABEL="garmin_rules_end"
*****************
/etc/udev/rules.d/51-garmin.rules
SYSFS{idVendor}=="091e", SYSFS{idProduct}=="0003", MODE="666"

UBSYSTEM!="usb_device", GOTO="garmin_rules_end"
ACTION!="add", GOTO="garmin_rules_end"
ATTRS{idVendor}=="091e",
ATTRS{idProduct}=="0003", MODE="0660", GROUP="plugdev"
LABEL="garmin_rules_end"
********************

Revision history for this message
Dave Roberts (vpasvid) wrote :

Thanks for the help on this one, here's what worked for me. Running latest Intrepid Ibex, I found that qlandkarte couldn't talk to my Garmin.

$ uname -a
Linux mylap 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux
$ lsusb | grep Garmin
Bus 003 Device 003: ID 091e:0003 Garmin International GPSmap (various models)
$ ls -l /dev/bus/usb/003/003
crw-rw-r-- 1 root root 189, 258 2009-02-01 14:07 /dev/bus/usb/003/003

So I created a file /etc/udev/rules.d/51-garmin.rules with the following contents:

SYSFS{idVendor}=="091e", SYSFS{idProduct}=="0003", GROUP="plugdev"

I rebooted, although looking at the README in that directory, it probably wasn't necessary. When I connected the GPS, the device now looks like:-

$ ls -l /dev/bus/usb/003/003
crw-rw-r-- 1 root plugdev 189, 258 2009-02-01 15:31 /dev/bus/usb/003/003

At this point I could connect to the GPS successfully. Hope this helps.

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote :

Just as a reminder: The plugdev group is now deprecated. (This means the solutions suggested here might not work in the future.)

I found this link on how to add PolicyKit / Hal rules for a new class of USB devices: http://osdir.com/ml/fedora-devel-list/2009-01/msg00227.html

I could not find any info on whether there is already a name/namespace reserved for GPS devices. I consider working out the details in the future, but don't have the time at the moment. (Maybe in a few weeks)

Maybe someone could clarify where such new rules should go (which package) or whether a new package should be created on which other packages that use the Garmin GPS via USB could depend.

Revision history for this message
In , Hans (hans-redhat-bugs) wrote :

Created attachment 331911
add org.freedesktop.hal.device-access.gps action

Description of problem:

  When I plug in a (e.g. Garmin) GPS device via USB cable,
  only root has access to it. Standard software to interface
  with the GPS device thus does not work for the logged in
  user.

Version-Release number of selected component (if applicable):

  hal-0.5.12-14.20081027git.fc10.i386

How reproducible:

  100%

Steps to Reproduce:
1. Log in as user
2. Plug in Garmin USB device
3. Try to download your tracks with
   $ gpsbabel -t -i garmin -f usb: -o gpx -F tracks-$(date).gpx

Actual results:

  Claim interfaced failed: could not claim interface 0: Operation not permitted

Expected results:

  empty program output, signifying successful download of the tracks.

Additional info:

  I am going attach what I used to solve the issue here. That might
  not be fit for distribution with the hal package, but may be of
  use for other users or to illustrate the issue.

Revision history for this message
In , Hans (hans-redhat-bugs) wrote :

Created attachment 331912
/etc/hal/fdi/information/10-garmin-gps.fdi

Revision history for this message
In , Hans (hans-redhat-bugs) wrote :

Created attachment 331913
/etc/hal/fdi/policy/10-garmin-gps.fdi

Revision history for this message
In , Hans (hans-redhat-bugs) wrote :

Comment on attachment 331911
add org.freedesktop.hal.device-access.gps action

This is just a copy of the existing PDA policy, with "PDA" being substituted
by "GPS".

Revision history for this message
tomdean (tomdean) wrote :
Download full text (14.4 KiB)

I get varied results.
Some
      Segmentation fault.
Some
     usb_set_configuration failed, probably because kernel driver ''
     is blocking our access to the USB device.
Some hangs
Never an output file

# uname -a
Linux asus 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux
Ubuntu 8.10

# lsusb | grep Garmin
Bus 004 Device 007: ID 091e:0003 Garmin International GPSmap (various models)

# >more /etc/udev/rules.d/51-garmin.rules
SYSFS{idVendor}=="091e", SYSFS{idProduct}=="0003", GROUP="plugdev", MODE="666"

# ls -l /dev/bus/usb/004/007
crw-rw-rw- 1 root plugdev 189, 390 2009-04-05 23:07 /dev/bus/usb/004/007

====== A usb_set_configuration failed ================
sudo gpsbabel -D9 -i garmin -f usb: -o garmin -F test.loc
GPSBabel Version: 1.3.5
TX [12]:00 00 00 00 05 00 00 00 00 00 00 00 ............(SESREQ )
TX [12]:00 00 00 00 05 00 00 00 00 00 00 00 ............(SESREQ )
TX [12]:00 00 00 00 05 00 00 00 00 00 00 00 ............(SESREQ )
RX (intr) [16]:00 00 00 00 06 00 00 00 04 00 00 00 b1 38 74 bd .............8t.(ACK )
TX [12]:14 00 00 00 fe 00 00 00 00 00 00 00 ............(PRDREQ )
RX (intr) [16]:00 00 00 00 06 00 00 00 04 00 00 00 b1 38 74 bd .............8t.(ACK )
RX (intr) [12]:00 00 00 00 02 00 00 00 00 00 00 00 ............(REQBLK )
RX (bulk) [226]:14 00 00 00 ff 00 00 00 d6 00 00 00 2d 02 72 01 47 50 53 6d 61 70 20 33 37 38 20 53 59 53 20 53 6f 66 74 77 61 72 65 20 56 65 72 73 69 6f 6e 20 33 2e 37 30 00 56 45 52 42 4d 41 50 20 41 6d 65 72 69 63 61 73 20 41 75 74 6f 72 6f 75 74 65 20 57 65 61 74 68 65 72 20 42 61 73 65 6d 61 70 20 33 2e 30 30 00 56 45 52 53 4d 41 50 20 41 4a 4f 2c 20 41 5a 20 28 57 45 53 54 29 2c 20 41 4c 41 4d 4f 20 4c 41 4b 45 2c 20 41 5a 20 28 57 45 53 54 29 2c 20 41 4e 49 4d 41 53 2c 20 4e 4d 20 00 56 45 52 41 55 44 20 47 50 53 6d 61 70 20 32 37 36 43 2f 32 39 36 20 41 75 64 20 32 2e 32 30 00 56 45 52 53 50 4c 53 43 52 4e 20 47 50 53 6d 61 70 20 33 37 38 20 53 70 6c 61 73 68 20 32 2e 31 30 00 ..............r.GPSmap.378.SYS.Software.Version.3.70.VERBMAP.Americas.Autoroute.Weather.Basemap.3.00.VERSMAP.AJO..AZ..WEST...ALAMO.LAKE..AZ..WEST...ANIMAS..NM..VERAUD.GPSmap.276C.296.Aud.2.20.VERSPLSCRN.GPSmap.378.Splash.2.10.(PRDDAT )
RX (bulk) [0]:(RET2INTR)
RX (intr) [12]:00 00 00 00 02 00 00 00 00 00 00 00 ............(REQBLK )
RX (bulk) [55]:14 00 00 00 f8 00 00 00 2b 00 00 00 56 45 52 47 50 52 4f 4d 20 49 6e 6c 61 6e 64 20 44 65 74 61 69 6c 20 4d 61 70 20 77 69 74 68 20 52 6f 61 64 73 20 32 2e 30 30 00 ............VERGPROM.Inland.Detail.Map.with.Roads.2.00.(PRDEDA )
RX (bulk) [0]:(RET2INTR)
RX (intr) [12]:00 00 00 00 02 00 00 00 00 00 00 00 ............(REQBLK )
RX (bulk) [153]:14 00 00 00 fd 00 00 00 8d 00 00 00 50 00 00 4c 01 00 41 0a 00 54 01 00 41 64 00 44 6e 00 41 65 00 44 78 00 41 c9 00 44 ca 00 44 6e 00 44 d2 00 41 2d 01 44 38 01 44 2e 01 41 90 01 44 6e 00 41 f4 01 44 f5 01 41 58 02 44 58 02 41 59 02 44 59 02 41 bc 02 44 bc 02 41 20 03 44 20 03 41 22 03 44 22 03 41 84 03 41 86 03 41 87 03 41 88 03 41 89 03 44 84 03 41 91 03 44 91 03 41 8b 03 44 8b 03 44 8c 03 44 8d 03 44 8e 03 41 94 03 41 8c 03 44 8f 03 41 96 03 44 96 03 ............P..L..A..T..Ad.Dn.Ae.Dx.A..D..Dn...

Revision history for this message
Shane Rice (shane2peru) wrote :

This is even worse of a problem in Jaunty, now USB doesn't even pickup my garmin gps. In Ibex I didn't have too much of a problem Here is my outputs:

lsusb
Bus 001 Device 005: ID 0d49:7310 Maxtor
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 003: ID 046d:c508 Logitech, Inc. Cordless Trackball
Bus 002 Device 002: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

So now it isn't even detecting it! iiiiiks This isn't good.

Shane

Revision history for this message
Shane Rice (shane2peru) wrote :

Ahhh, scrape that! I tried a different usb cord and it seems to work with this cord! Sorry about that.

Shane

Revision history for this message
Shane Rice (shane2peru) wrote :

No this is still not working after running this: I get the following error:

sudo gpsbabel -t -r -w -i garmin -f usb: -o gpx -F backup.gpx
Claim interfaced failed: could not claim interface 0: Device or resource busy

I get the same thing if not running it as root too. I also out of curiosity tried with /dev/sdc which is where my garmin is mounted also to no avail. Please help!

Shane

Changed in gpsbabel (Fedora):
status: Unknown → Confirmed
Revision history for this message
tomdean (tomdean) wrote : Re: [Bug 114565] Re: native Garmin-USB no longer working
Download full text (4.4 KiB)

On Wed, 2009-06-24 at 17:00 +0000, Bug Watch Updater wrote:

On Ubuntu 9.04,

# uname -a
Linux asus 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009
i686 GNU/Linux

#
...<snip>...
Unit: GPSmap 378 SYS Software Version 3.70
ID: 557
Version: 3.70RX (bulk) [0]:(RET2INTR)
...<snip>...
Capability A10:
Capability A100: D110
Capability A101: D120
Capability A201: D202 D110 D210
Capability A301: D312 D302
Capability A400: D110
Capability A500: D501
Capability A600: D600
Capability A601: D601
Capability A700: D700
Capability A800: D800
Capability A802: D802
Capability A900:
Capability A902:
Capability A903:
Capability A904:
Capability A905: D900
Capability A913: D913
Capability A907: D907 D908 D909 D910
Capability A916:
Capability A908: D911
Capability A918: D918
Link_type 1 Device_command 0
Waypoint: Transfer 100 Type 110
Route: Transfer 201 Header 202 Type 110
Track: Transfer 301 Type 302
...<snip>...

gpsbabel exits with a seg fault about 1/4 of the time. The other 3/4
tries, it seems Ok, test.gps seems to have all the waypoints

I built gpsbabel with -g

I had to repeat this several times to get a seg fault
# ./gpsbabel -D9 -i garmin -f usb: -o gpx -F test.gpx
...<snip>...
RX (bulk) [2]:30 00 0.(PRDDAT )
RX (bulk) [58]:2e 31 74 6f 72 6f 75 74 65 20 57 65 61 74 68 65 72 20 42
61 73 65 6d 61 70 20 33 2e 30 30 00 56 45 52 53 4d 41 50 20 41 4a 4f 2c
20 41 5a 20 28 57 45 53 54 29 2c 20 41 4c
41 .1toroute.Weather.Basemap.3.00.VERSMAP.AJO..AZ..WEST...ALA(UNKNOWN )
Segmentation fault (core dumped)

# gdb -c core ./gpsbabel
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show
copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /lib/libusb-0.1.so.4...done.
Loaded symbols for /lib/libusb-0.1.so.4
Reading symbols from /lib/tls/i686/cmov/libm.so.6...done.
Loaded symbols for /lib/tls/i686/cmov/libm.so.6
Reading symbols from /usr/lib/libexpat.so.1...done.
Loaded symbols for /usr/lib/libexpat.so.1
Reading symbols from /lib/tls/i686/cmov/libc.so.6...done.
Loaded symbols for /lib/tls/i686/cmov/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/tls/i686/cmov/libpthread.so.0...done.
Loaded symbols for /lib/tls/i686/cmov/libpthread.so.0
Core was generated by `./gpsbabel -D9 -i garmin -f usb: -o gpx -F
test.gpx'.
Program terminated with signal 11, Segmentation fault.
[New process 26678]
#0 0xb7f22896 in memcpy () from /lib/tls/i686/cmov/libc.so.6
(gdb) bt
#0 0xb7f22896 in memcpy () from /lib/tls/i686/cmov/libc.so.6
#1 0x0804a2c0 in ?? ()
#2 0x0807931b in gdu_read (fd=0x8bf3ca8, packet=0xbfd946ac)
    at jeeps/gpsdevice_usb.c:45
#3 0x08079239 in GPS_Packet_Read (fd=0x8bf3ca8, packet=0xbfd946ac)
    at jeeps/gpsdevice.c:70
#4 0x080682a3 in GPS_A101_Get (port=0xbfd964d2 "usb:") at
jeeps/gpsapp.c:1062
#5 0x0807332d in GPS_Command_...

Read more...

Revision history for this message
Miguel Filgueiras (mig-f) wrote :

I would like to point out that blacklisting the garmin_gps kernel module may affect badly gpsman (https://launchpad.net/ubuntu/+source/gpsman) users. I see there is an issue to be solved for users of both gpsman and gpsbabel or other applications that no longer use this kernel module but I think it should be solved in such a way that no application is affected.

I am sorry I cannot offer any solution as I just became aware of this problem.

Revision history for this message
In , Scott (scott-redhat-bugs) wrote :

Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Revision history for this message
In , Bug (bug-redhat-bugs) wrote :

This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 10 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Revision history for this message
In , Bug (bug-redhat-bugs) wrote :

Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in gpsbabel (Fedora):
status: Confirmed → Won't Fix
Revision history for this message
Oliver Joos (oliver-joos) wrote :

I agree with Miguel that blacklisting was a bad solution. I also had problems with garmin_gps. But meanwhile they seem to be solved! Now I am able to use "gpsbabel -o /dev/ttyUSB0" with my Garmin Forerunner 305.

If you were affected by this bug then please give it another try! Load garmin_gps and try gpsbabel:
$ sudo modprobe garmin_gps
$ gpsbabel -o /dev/ttyUSB0 ... <your_usual_parameters>

Pleas leave a comment here if you still have problems with garmin_gps. I plan to open a new bug to un-blacklist garmin_gps again.

Revision history for this message
gcordoba (glgcg) wrote :

I have similar problem:
What I need is to read a .gdb file from the hard disk. The same error appear.
How can I read the file? gpsbabel always attempts to read directly for the garmin device.

Thanks
Gustavo

Revision history for this message
Oliver Joos (oliver-joos) wrote :

@all: Please note that my comment 26 has a typo! It should read:
$ gpsbabel -o garmin -F /dev/ttyUSB0 ... <your_usual_parameters>

@gcordoba: first try
$ gpsbabel -i gdb -f your_file.gdb -o kml -F test.kml

If that works then try:
$ sudo modprobe garmin_gps
$ gpsbabel -i gdb -f your_file.gdb -o garmin -F /dev/ttyUSB0

What message do you get then?

Revision history for this message
gcordoba (glgcg) wrote :

Thanks Oliver,
the your first advice worked fine for me. Now I have a test.kml file.

I did the other two commands (I do not have a gps connected, I just have the .gdb file):

gustavo$ sudo modprobe garmin_gps
gustavo$ gpsbabel -i gdb -f la_ponderosa_way_points.gdb -o garmin -F /dev/ttyUSB0[ERROR] XSERIAL: Cannot open serial port '/dev/ttyUSB0': No such file or directory
[ERROR] Cannot open serial port '/dev/ttyUSB0'
GARMIN:Can't init /dev/ttyUSB0
gustavo$

I will try to use your first advice to import the gdb file into grass-gis.

Thanks.
Gustavo

Revision history for this message
Thomas Hotz (thotz-deactivatedaccount) wrote :

Marking as confirmed because the bug has a duplicate.

Changed in qlandkarte (Ubuntu):
status: New → Invalid
Changed in gpsbabel (Ubuntu):
status: New → Confirmed
Revision history for this message
In , Hans (hans-redhat-bugs) wrote :

Closing the NEEDINFO part on this ancient WONTFIX to stop bugzilla from bothering me about the NEEDINFO on a weekly basis.

Changed in gpsbabel (Fedora):
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.